# -*- encoding: utf-8 -*-
# stub: apicasso 0.7.3 ruby lib

Gem::Specification.new do |s|
  s.name = "apicasso".freeze
  s.version = "0.7.3"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Fernando Bellincanta".freeze]
  s.date = "2019-05-09"
  s.description = "Create APIs in a fast and dynamic way, without the need to develop everything from scratch. You just need to create your models and let APIcasso do the rest for you. It is the perfect candidate to make your project development go faster or for legacy Rails projects that do not have an API. If you think it through, JSON API development can get boring and time consuming. Every time you use almost the same route structure, pointing to the same controller actions, with the same ordering, filtering and pagination features. APIcasso is intended to be used to speed-up development, acting as a full-fledged CRUD JSON API into all your models. It is a route-based abstraction that lets you create, read, list, update or delete any ActiveRecord object in your application. This makes it possible to make CRUD-only applications just by creating functional Rails' models. Access to your application's resources is managed by a .scope JSON object per API key. It uses that permission scope to restrict and extend access.".freeze
  s.email = ["ervalhous@hotmail.com".freeze]
  s.homepage = "https://github.com/ErvalhouS/APIcasso".freeze
  s.licenses = ["MIT".freeze]
  s.rubygems_version = "3.2.22".freeze
  s.summary = "An abstract API design as a mountable engine".freeze

  s.installed_by_version = "3.2.22" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_development_dependency(%q<bundler>.freeze, [">= 0"])
    s.add_development_dependency(%q<capybara>.freeze, ["~> 3.15.0"])
    s.add_development_dependency(%q<database_cleaner>.freeze, [">= 0"])
    s.add_development_dependency(%q<factory_bot_rails>.freeze, [">= 0"])
    s.add_development_dependency(%q<faker>.freeze, [">= 0"])
    s.add_development_dependency(%q<pg>.freeze, [">= 0"])
    s.add_development_dependency(%q<rake>.freeze, [">= 0"])
    s.add_development_dependency(%q<rspec-rails>.freeze, [">= 0"])
    s.add_runtime_dependency(%q<cancancan>.freeze, ["~> 2.0"])
    s.add_runtime_dependency(%q<friendly_id>.freeze, ["~> 5.2.0"])
    s.add_runtime_dependency(%q<rack-cors>.freeze, [">= 0"])
    s.add_runtime_dependency(%q<rails>.freeze, ["> 5"])
    s.add_runtime_dependency(%q<ransack>.freeze, [">= 0"])
    s.add_runtime_dependency(%q<swagger-blocks>.freeze, [">= 0"])
    s.add_runtime_dependency(%q<will_paginate>.freeze, ["~> 3.1.0"])
  else
    s.add_dependency(%q<bundler>.freeze, [">= 0"])
    s.add_dependency(%q<capybara>.freeze, ["~> 3.15.0"])
    s.add_dependency(%q<database_cleaner>.freeze, [">= 0"])
    s.add_dependency(%q<factory_bot_rails>.freeze, [">= 0"])
    s.add_dependency(%q<faker>.freeze, [">= 0"])
    s.add_dependency(%q<pg>.freeze, [">= 0"])
    s.add_dependency(%q<rake>.freeze, [">= 0"])
    s.add_dependency(%q<rspec-rails>.freeze, [">= 0"])
    s.add_dependency(%q<cancancan>.freeze, ["~> 2.0"])
    s.add_dependency(%q<friendly_id>.freeze, ["~> 5.2.0"])
    s.add_dependency(%q<rack-cors>.freeze, [">= 0"])
    s.add_dependency(%q<rails>.freeze, ["> 5"])
    s.add_dependency(%q<ransack>.freeze, [">= 0"])
    s.add_dependency(%q<swagger-blocks>.freeze, [">= 0"])
    s.add_dependency(%q<will_paginate>.freeze, ["~> 3.1.0"])
  end
end
